<?php
include('../common/parseargs.php');

$USAGE=" --policyID=<policyID>  [optionalparms: --name=<name> --description=<description> --forceFullBlockScan=<forceFullBlockScan> --recoveryPointLimit=<recoveryPointLimit> --diskSafeID=<diskSafeID>  --frequencyType=<frequencyType>  --frequencyValues=<frequencyValues> --enabled=<enabled> ]";


include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$POLICYID=$args_array['policyID'];
$NAME=$args_array['name'];
$DESCRIPTION=$args_array['description'];
$FORCEFULLBLOCKSCAN=$args_array['forceFullBlockScan'];
$DISKSAFEID=$args_array['diskSafeID'];
$FREQUENCYTYPE=$args_array['frequencyType'];
$FREQUENCYVALUES=$args_array['frequencyValues'];
$ENABLED=$args_array['enabled'];
$RECOVERYPOINTLIMIT=$args_array['recoveryPointLimit'];

if (strlen($POLICYID) > 0) {
	echo "ERROR: --policyID=<policyID> must not be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($DISKSAFEID) < 1) {
	echo "ERROR: --diskSafeID=<diskSafeID> must not be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($NAME) < 1) {
        echo "ERROR: --name=<name> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}


if (strlen($DESCRIPTION) < 1) {
        echo "ERROR: --description=<description> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if (strlen($FORCEFULLBLOCKSCAN) < 1) {
        echo "ERROR: --forceFullBlockScan=<forceFullBlockScan> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if(strlen( $args_array['name'])>0)
{
	$NAME=$args_array['name'];
}


if(strlen( $args_array['description'])>0)
{
	$DESCRIPTION=$args_array['description'];
}

if(strlen( $args_array['forceFullBlockScan'])>0)
{
	$FORCEFULLBLOCKSCAN=$args_array['forceFullBlockScan'];
}

if(strlen( $args_array['recoveryPointLimit'])>0)
{
	$RECOVERYPOINTLIMIT=$args_array['recoveryPointLimit'];
}

if(strlen( $args_array['diskSafeID'])>0)
{
        $DISKSAFEID=$args_array['diskSafeID'];
}

if(strlen( $args_array['frequencyType'])>0)
{
        $FREQUENCYTYPE=$args_array['frequencyType'];
}

if(strlen( $args_array['frequencyValues'])>0)
{
        $FREQUENCYVALUES=$args_array['frequencyValues'];
}

if(strlen( $args_array['enabled'])>0)
{
        $ENABLED=$args_array['enabled'];
}




class Policy 
{
	public $id;
	public $name;
	public $description;
	public $recoveryPointLimit;
	public $frequencyValues;  
	public $forceFullBlockScan;
	public $frequencyType;
	public $enabled;
	public $diskSafeID;
}

$policyObj = new Policy();
$policyObj->id=$POLICYID;
$policyObj->forceFullBlockScan="$FORCEFULLBLOCKSCAN";
$policyObj->name="$NAME";
$policyObj->description="$DESCRIPTION";
$policyObj->recoveryPointLimit="$RECOVERYPOINTLIMIT";
$policyObj->frequencyValues=$FREQUENCYVALUES;
$policyObj->forceFullBlockScan=$FORCEFULLBLOCKSCAN;
$policyObj->frequencyType=$FREQUENCYTYPE;
$policyObj->enabled=$ENABLED;
$policyObj->diskSafeID=$DISKSAFEID;

try{
	$client = new soapclient("https://$HOST:$PORT/Policy?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1,
		'classmap'=>array('Policy'=>'Policy')
		)
	);

	$client->createPolicyFromObject(array('policy'=>$policyObj)) ;

	echo "Successfully executed createPolicyFromObject\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
